Bug 820391 - [Nvidia propriety driver] Screen freezes randomly when returning from locked desktop
[Nvidia propriety driver] Screen freezes randomly when returning from locked ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 15:49 EDT by Justin Albstmeijer
Modified: 2013-08-01 02:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:33:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Desktop freeze (1.17 MB, image/png)
2012-05-09 15:50 EDT, Justin Albstmeijer
no flags Details
on fedora 17 (56.58 KB, image/png)
2012-06-16 19:08 EDT, Justin Albstmeijer
no flags Details

  None (edit)
Description Justin Albstmeijer 2012-05-09 15:49:16 EDT
Description of problem:

When logging in after the desktop was locked due to user inactivity for a while, sometimes the desktop freezes. Leaving the background of the left monitor partly clear.

Version-Release number of selected component (if applicable):

kernel-3.3.4-1.fc16.x86_64
kmod-nvidia-3.3.4-1.fc16.x86_64-295.49-1.fc16.x86_64
gnome-shell-3.2.2.1-1.fc16.x86_64

How reproducible:

Log in again after the desktop has been locked due to user inactivity for a while.

Steps to Reproduce:
1. start gnome-shell
2. wait till the desktop has been locked due to user inactivity for a while
3. log in again to unlock the desktop
  
Actual results:

Some times the desktop freezes leaving the background of the left monitor partly clear.
Have to use ctrl+alt+backspace to be able to use the system again.

Expected results:

Just be able to resume using the desktop.

Additional info:

See screenshot.
Comment 1 Justin Albstmeijer 2012-05-09 15:50:59 EDT
Created attachment 583378 [details]
Desktop freeze
Comment 2 Justin Albstmeijer 2012-06-16 19:08:38 EDT
Created attachment 592361 [details]
on fedora 17

In the meantime I did a fresh install of Fedora 17.
The issue stays similar.

see attachment (screen.png/on fedora 17)

Different this time is that is happens every time when moving the mouse or pressing a key while the screen is locked and not random as on Fedora 16.
Not sure if it was the case before, but I can now just unlock the screen and a working desktop returns after typing my password blindly followed by an enter.

The actual password input window was never shown.

Another thing to note is that the square on top of the background seems to match the size of the second monitor.

Running:

kmod-nvidia-3.4.0-1.fc17.x86_64-295.53-1.fc17.3.x86_64
kmod-nvidia-295.53-1.fc17.3.x86_64
Comment 3 Fedora End Of Life 2013-07-03 21:45:36 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 02:33:53 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.